#!/bin/bash
# Prends en argument k n topologie
# Exemple : ./search_config.sh 3 7 ring


set -x
if [ $# -ne 3 ]
    then echo "3 arguments are expected"
    echo "$0 <k> <n> <topology filename without extension"
    echo "Exemple : ./search_config.sh 3 7 ring"
    exit 1
fi

k=$1
n=$2
topology=$3
log=Log/$topology${k}_$n.log

clean(){
    rm -f *.cmxs *.cmx *.cmi *.o
    rm -f $k.ml
    rm -f *.rif *.seed
    rm -f $k.lus
    rm -f *_check_cycles.lv4
    rm -f *.c *.h *_const.lus *.cmt *.exec *.sh rdbg-session* *.log *.pdf
    rm -f $k*
    rm k.lus
}


if [ -z ${TIMEOUT} ]; then TIMEOUT=194400.; fi # n: 194400s = 54 hours

clean $3$n
echo "const k = $k ;" > k.lus
make $topology$n.dot
salut $topology$n.dot
lv6 -eei ${topology}$n.lus check_cycles.lus $topology${n}_const.lus -n check_cycles -rnc --lustre-v4 -o $topology${n}_check_cycles.noexpand.lv4
cat $topology${n}_check_cycles.noexpand.lv4 | tr '\n' '@' |sed "s/tel@/tel/g" | sed "s/@/\\n/g" | sed "s/tel-- end of node check_cycles/--%MAIN ;\n--%PROPERTY ok;\ntel\n/"  > $topology${n}_check_cycles.noexpand.lv4.tmp
mv $topology${n}_check_cycles.noexpand.lv4.tmp $topology${n}_check_cycles.noexpand.lv4
[ -d Log ] || mkdir Log
echo "time kind2 --timeout ${TIMEOUT} --color false --modular true --compositional true $topology${n}_check_cycles.noexpand.lv4"  > $log
time kind2 --timeout ${TIMEOUT} --color false --modular true --compositional true $topology${n}_check_cycles.noexpand.lv4 >> $log

##############################################################
clean $topology$n
